• 1 رای - 4 میانگین
  • 1
  • 2
  • 3
  • 4
  • 5
سفر به PHP 7؟؟
#1
سلامی مجدد

آیا شما به PHP 7 کوچ کردید؟ و اصلا چند درصد از سرورها از PHP 7 پشتیبانی میکنن؟؟ Huh
آیا php 5 متوقف خواهد شد؟ Idea
ممنون
  پاسخ
تشکر شده توسط :
#2
نقل قول:آیا شما به PHP 7 کوچ کردید؟
من نه.
و تا زمانی که PHP5 توسعش متوقف نشده و PHP7 کامل stable نشده سراغ PHP 7 نمیرم
اما اخبار و تغییراتش رو دنبال میکنم


نقل قول:آیا php 5 متوقف خواهد شد؟
بهرحال نسل هرچیزی EOL ای داره، مثل VB6, ASP3, (soon)Python2, PHP4 و...
PHP5 هم از این قاعده مستثنا نیست
وبلاگ: Yousha.Blog.ir


 کد کمتر => خطای کمتر => قابل فهمتر => خوانایی بالاتر => نگهداری بهتر

  پاسخ
تشکر شده توسط : Alaa Null
#3
البته php7 هم مثل همین php 5 هست فقط خیلی کم تغییرات داره توش که باعث میشه برنامه نویسارو به طرف خودش بکشونه
البته که این تغییرات جزئی تاثیر بسزایی در امنیت و سرعت داره

نقل قول:آیا php 5 متوقف خواهد شد؟ Idea
نه چرا متوقف بشه فقط کمی از کاربرانش کم میشه همین
درکل نباید php7 رو برای خودمون یه غول بکنیم که ای وای خدا php7 هم اومد چیکار کنم حالا چجوری یادش بگیرم ؟؟ اصلا میتونم؟؟

به قول استاد عزیزم Y.P.Y وقتی شما اخبار تغییرات رو دنبال کنید دیگه غمی نیستBig GrinBig Grin
  پاسخ
تشکر شده توسط : Null Y.P.Y
#4
سلام،
یه بار این فرآیند تغییر نسخه رو تجربه کرده باشی، می‌فهمی اتفاق خاصی قرار نیست بیافته،
اول‌ها نسخه ۴ استفاده میکردیم، یه موقع به خودمون اومدیم دیدیم تو phpinfo() نوشته شده ۵.۶ Big Grin

پی‌اچ‌پی ۵ نابود نمیشه، شما همیشه می‌تونی ازش استفاده کنی، ولی مشکل اینجا هست که کم کم شرکت‌های هاست پی‌اچ‌پی رو آپدیت می‌کنن و براشون منطقی نیست از یه نسخه قدیمی که امکان داره ضعف امنیتی‌ای توش کشف بشه و دیگه آپدیت نمیشه پشتیبانی کنن. پس عملا کم کم از چرخه حذف میشه، همونطور که شما دیگه الان نسخه ۴ پی‌اچ‌پی رو نمیبینی.

و البته اینم بگم که نه، من هم کوچ نکردم به نسخه ۷.
غایب
  پاسخ
تشکر شده توسط : Null Y.P.Y
#5
نقل قول:کوچ نکردم به نسخه ۷

میگم داداش فعلا کوچ نکن اونجا گرگ داره میخوره ها؟Big GrinBig GrinBig Grin

هواش هم خیلی گرمه متناسب با گیلانیها نیستا !
حالا از ما گفتنTongueTongueTongue
  پاسخ
تشکر شده توسط : Alaa ayoubsys
#6
دم شما گرم دیگه Smile)
غایب
  پاسخ
تشکر شده توسط : kasbookar ayoubsys
#7
طبق روال عادی قطعا php5 نسخش تموم میشه و دیگه نسخه جدید نخواهد داد. این که کی تموم میشه رو نمی دونم. شاید خود php.net گفته باشه ولی این اتفاق برای php5.3 افتاد و دیگه توسعه داده نمیشه. شما باید سعی کنی که کدت با php7 هم کار کنه چون کار سختی نباید باشه. کد پروژه من با php 5.6 به بالا بدون مشکل کار می کنه.
  پاسخ
تشکر شده توسط :


پرش به انجمن:


کاربران در حال بازدید این موضوع: 1 مهمان